简易编程代码:如何安装简易 OCR(easy ocr)

我试图安装这个

https://github.com/JaidedAI/EasyOCR

我已经尝试使用 pip 安装 easyocr 安装,但我一直收到这个错误

DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality.
Collecting easyocr
  Using cached easyocr-1.0.tar.gz (8.5 MB)
Collecting torch
  Using cached torch-0.1.2.post2.tar.gz (128 kB)
Collecting torchvision
  Using cached torchvision-0.2.2.post3-py2.py3-none-any.whl (64 kB)
Collecting opencv-python
  Using cached opencv-python-4.3.0.38.tar.gz (88.0 MB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... error
  ERROR: Command errored out with exit status 1:
   command: 'c:\users\fatima.arshad\appdata\local\continuum\anaconda2\python.exe' 'c:\users\fatima.arshad\appdata\local\continuum\anaconda2\lib\site-packages\pip\_vendor\pep517\_in_process.py' get_requires_for_build_wheel 'c:\users\fatima~1.ars\appdata\local\temp\tmp_bwb7g'
       cwd: c:\users\fatima~1.ars\appdata\local\temp\pip-install-hccohn\opencv-python
  Complete output (22 lines):
  Traceback (most recent call last):
    File "c:\users\fatima.arshad\appdata\local\continuum\anaconda2\lib\site-packages\pip\_vendor\pep517\_in_process.py", line 280, in <module>
      main()
    File "c:\users\fatima.arshad\appdata\local\continuum\anaconda2\lib\site-packages\pip\_vendor\pep517\_in_process.py", line 263, in main
      json_out['return_val'] = hook(**hook_input['kwargs'])
    File "c:\users\fatima.arshad\appdata\local\continuum\anaconda2\lib\site-packages\pip\_vendor\pep517\_in_process.py", line 114, in get_requires_for_build_wheel
      return hook(config_settings)
    File "c:\users\fatima~1.ars\appdata\local\temp\pip-build-env-xzb\overlay\Lib\site-packages\setuptools\build_meta.py", line 146, in get_requires_for_build_wheel
      return self._get_build_requires(config_settings, requirements=['wheel'])
    File "c:\users\fatima~1.ars\appdata\local\temp\pip-build-env-xzb\overlay\Lib\site-packages\setuptools\build_meta.py", line 127, in _get_build_requires
      self.run_setup()
    File "c:\users\fatima~1.ars\appdata\local\temp\pip-build-env-xzb\overlay\Lib\site-packages\setuptools\build_meta.py", line 243, in run_setup
      self).run_setup(setup_script=setup_script)
    File "c:\users\fatima~1.ars\appdata\local\temp\pip-build-env-xzb\overlay\Lib\site-packages\setuptools\build_meta.py", line 142, in run_setup
      exec(compile(code, __file__, 'exec'), locals())
    File "setup.py", line 448, in <module>
      main()
    File "setup.py", line 99, in main
      % {"ext": re.escape(sysconfig.get_config_var("EXT_SUFFIX"))}
    File "c:\users\fatima.arshad\appdata\local\continuum\anaconda2\lib\re.py", line 210, in escape
      s = list(pattern)
  TypeError: 'NoneType' object is not iterable
  ----------------------------------------
ERROR: Command errored out with exit status 1: 'c:\users\fatima.arshad\appdata\local\continuum\anaconda2\python.exe' 'c:\users\fatima.arshad\appdata\local\continuum\anaconda2\lib\site-packages\pip\_vendor\pep517\_in_process.py' get_requires_for_build_wheel 'c:\users\fatima~1.ars\appdata\local\temp\tmp_bwb7g' Check 

完整命令输出的日志。

不确定错误是什么。如果我使用第二个命令安装,它只是说 pytorch 不满足要求。我安装了 pytorch,但仍然是同样的问题

3

您的基本环境中有一个过时的 python 版本。这不一定是一个问题(但您仍然可以考虑安装 anaconda3 / miniconda3 版本),因为您可以使用较新的 python 版本创建一个新环境:

创建新的环境并激活它:

conda create -n easyocr python=3.8
conda activate easyocr

安装 PyTorch(根据您的 CUDA 版本从here获取正确的命令):

conda install pytorch torchvision torchaudio cudatoolkit=10.2 -c pytorch

然后你应该能够运行:

pip install easyocr

本站系公益性非盈利分享网址,本文来自用户投稿,不代表边看边学立场,如若转载,请注明出处

(836)
Adobe photoshop cs 4:无法使用adobephotoshopcs5在图像中带来透明背景
上一篇
福睿斯cd机改家用教程:与詹金斯的 CI/CD(ci cd with jenkins)
下一篇

相关推荐

  • comeandgetyourlove音乐爱就在你身边

    Come and Get Your Love是一首热门的歌曲,由美国摇滚乐队Redbone演唱。这首歌曲于1974年发行,被收录在他们的专辑《Wovoka》中。歌曲以放克曲风为主,旋律活泼,曲调悠扬,歌词朗朗上口,深受歌迷喜爱。…

    2023-06-29 07:47:31
    0 45 81
  • css预编译器: center;}

    CSS预编译器是一种用于构建CSS的工具,它可以将CSS代码转换为更易于管理和维护的格式。它们可以使CSS代码更加灵活,更易于重用,并且可以帮助开发人员更轻松地组织和管理CSS代码。…

    2023-04-30 05:19:08
    0 88 81
  • python中predict函数参数:如何使用Python的predict函数进行机器学习预测

    示例示例predict函数是scikit-learn中的一个函数,用于预测新样本的输出结果。参数:…

    2023-03-30 08:03:12
    0 19 34
  • canvas 官网Bring Your Ideas to Life with Creative Artwork

    Canvas 官网是一个用于创建图形的 HTML5 API,它可以在浏览器中使用 JavaScript 来绘制 2D 图形。它提供了一个可以在网页上绘制图形的强大工具,可以用来创建动画、游戏、数据可视化等。…

    2023-02-28 09:52:08
    0 16 84
  • qt creator快速入门 第3版 pdf从零开始

    Qt Creator快速入门第3版是一本关于Qt Creator的教程书,旨在帮助读者快速掌握Qt Creator的使用。书中介绍了Qt Creator的基本功能,如如何创建项目、编辑代码、调试代码以及创建应用程序等等。书中还提供了一些实例代码,帮助读者更好地理解Qt Creator的用法。…

    2023-05-16 03:03:33
    0 54 20
  • cherry键盘win键不能用:解决Cherry键盘Win键无法使用的措施

    如果您的cherry键盘win键不能用,可能是由于系统设置问题导致的。下面提供一些代码,可以帮助您解决这个问题:打开“控制面板”,然后点击“硬件和声音”,打开“键盘”选项卡。…

    2023-08-27 03:36:33
    0 37 19
  • certificate意思一步一步指南

    示例示例是一种用于证明某个人或机构拥有某种资格或资质的文件。它可以是一种认证,也可以是一种奖励或认可。代码示例:…

    2023-09-14 15:01:58
    0 28 98
  • win10系统ctrl加c不能复制:解决win10系统下Ctrl+C不能复制的问题

    解决方案解决方案答:可能是由于系统快捷键被修改所导致的,可以尝试恢复系统默认快捷键;…

    2023-04-15 00:45:32
    0 43 30

发表评论

登录 后才能评论

评论列表(27条)